# Class DitherBlurPipeline

Classes that implement this interface will be able to be handled as a behavior by the viewer camera. For example see TwinfinityPostProcess.

#### Implements

- TwinfinityCameraBehavior

##### Index

### Constructors

constructor

### Methods

attach
detach

## Constructors

### constructor

- new DitherBlurPipeline(_kernel: number): DitherBlurPipeline

  #### Parameters

  - _kernel: number

  #### Returns DitherBlurPipeline

## Methods

### attach

- attach(camera: Camera): boolean

  Attaches this behavior to the specified camera.

  #### Parameters

  - camera: Camera

    The camera to attach the behavior to.

  #### Returns boolean

  true if the behavior was successfully attached to the camera, otherwise false.

  Implementation of TwinfinityCameraBehavior.attach

### detach

- detach(camera: Camera): boolean

  Detaches this behavior from the specified camera.

  #### Parameters

  - camera: Camera

    The camera to detach this behavior from.

  #### Returns boolean

  true if the behavior was successfully detached from the camera, otherwise false.

  Implementation of TwinfinityCameraBehavior.detach